# TODO may want to expose other outputs from the s3 resource
#
# if we consider the website customization:
## website_endpoint
## website_domain

output "arn" {
  value = aws_s3_bucket.bucket.arn
}

output "bucket_domain_name" {
  value = aws_s3_bucket.bucket.bucket_domain_name
}

output "bucket_regional_domain_name" {
  value = aws_s3_bucket.bucket.bucket_regional_domain_name
}

output "read_only_policy" {
  value = var.enable_iam_policies ? aws_iam_policy.read-only-policy[0].arn : ""
}

output "read_write_policy" {
  value = var.enable_iam_policies ? aws_iam_policy.read-write-policy[0].arn : ""
}

output "bucket_lifecycle_policy" {
  value = var.enable_iam_policies ? aws_iam_policy.bucket-lifecycle-policy[0].arn : ""
}
